///////////////////////////////////////////////////////////
//                      MobSurgeon                       //
//           mob-            //
//           Copyright (C) 2005-2007 Gipat Group         //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------

#ifndef MobLeverObjH
#define MobLeverObjH
//---------------------------------------------------------------------------

#include "MobObjectObj.h"

//...
//   ...
//      :)
const DWORD Lvr_Sgn_SwitchParams = 3148611590;   //(06 00 AC BB) //   . (20)
const DWORD Lvr_Sgn_UnknByte1 = 3148611586;   //(02 00 AC BB) // byte1. (9)
const DWORD Lvr_Sgn_UnknByte2 = 3148611587;   //(03 00 AC BB) // byte2. (9)
const DWORD Lvr_Sgn_UnknByte3 = 3148611588;   //(04 00 AC BB) // byte3. (9)
const DWORD Lvr_Sgn_UnknByte4 = 3148611591;   //(07 00 AC BB) // byte4. (9)
const DWORD Lvr_Sgn_UnknByte5 = 3148611592;   //(08 00 AC BB) // byte5. (9)

//{       }

//  ...
class TMob;

//  ...
class TLeverObjBlock : public TObjectObjBlock //    .
{
  public:
    DWORD AsOpen;                 //    
    DWORD Key;                    //
    DWORD Sleigth;                 //  
    DWORD UncnByte1;                 // dw1.
    DWORD UncnByte2;                 // dw2.
    DWORD UncnByte3;                 // dw3.
    DWORD UncnByte4;                 // dw4.
    DWORD UncnByte5;                 // dw5.

    // ...
    DWORD GetBlockSize();        //       .
    byte* GenBlock(DWORD& BlockSize);            // ...
    bool ReadBlock(byte *Buff, DWORD BuffSize, bool UseLog, TMob *PMobObj);   //     .
};

typedef TLeverObjBlock* PLeverObjBlock;   //  %).

#endif
