///////////////////////////////////////////////////////////
//                      MobSurgeon                       //
//           mob-            //
//           Copyright (C) 2005-2007 Gipat Group         //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------

#ifndef MobParticle1ObjH
#define MobParticle1ObjH
//---------------------------------------------------------------------------

#include "MobObjectObj.h"

//...
//   ...
//      :)
const DWORD Ptl1_Sgn_ID = 43525;   //(05 AA 00 00) //   ... (12) (DWORD)
const DWORD Ptl1_Sgn_UnknByte1 = 43526;   //(06 AA 00 00) // byte1 (9) (byte)
const DWORD Ptl1_Sgn_Coords = 43524;   //(04 AA 00 00) //, 3  (20) (float x 3)
const DWORD Ptl1_Sgn_Color = 43527;   //(07 AA 00 00) //  RGB (20) (float x 3)
const DWORD Ptl1_Sgn_ParticleSize = 43522;   //(02 AA 00 00) //    (12) (float)
const DWORD Ptl1_Sgn_NameStr = 43523;   //(03 AA 00 00) //   (8+STR) (String)
const DWORD Ptl1_Sgn_UnknStr1 = 43528;   //(08 AA 00 00) //   (8+STR) (String)


//{       }

//  ...
class TMob;

//  ...
class TParticle1ObjBlock //  1-    .   TObjectObjBlock!!!!
{
  public:
    DWORD ID;             //   ...
    byte UnknByte1;       // byte1
    float CoordX;         //
    float CoordY;         // --"--
    float CoordZ;         // --"--
    float ColorR;         //  RGB
    float ColorG;         // --"--
    float ColorB;         // --"--
    float ParticleSize;   //   
    String NameStr;       //  
    String UnknStr1;      //  

    // ...
    DWORD GetBlockSize();        //       .
    byte* GenBlock(DWORD& BlockSize);            // ...
    bool ReadBlock(byte *Buff, DWORD BuffSize, bool UseLog, TMob *PMobObj);   //     .
};

typedef TParticle1ObjBlock* PParticle1ObjBlock;   //  %).

#endif
