///////////////////////////////////////////////////////////
//                      MobSurgeon                       //
//           mob-            //
//           Copyright (C) 2005-2007 Gipat Group         //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------

#ifndef MobParticle2ObjH
#define MobParticle2ObjH
//---------------------------------------------------------------------------

#include "MobObjectObj.h"

//...
//    2- ...
//      :)
const DWORD Ptl2_Sgn_SoundStr_s = 52234;   //(0A CC 00 00) //     (12+(8+STR)*X) (DynamicArray <String>)
const DWORD Ptl2_Sgn_ID = 52226;   //(02 CC 00 00) //  (12) (DWORD)
const DWORD Ptl2_Sgn_Coords = 52227;   //(03 CC 00 00) //  (20) (float x 3)
const DWORD Ptl2_Sgn_UnknDw1 = 52228;   //(04 CC 00 00) // DW 1 (12) (DWORD)
const DWORD Ptl2_Sgn_UnknDw2 = 52235;   //(0B CC 00 00) // DW 2 (12) (DWORD)
const DWORD Ptl2_Sgn_NameStr = 52229;   //(05 CC 00 00) //     (8+STR) (String)
const DWORD Ptl2_Sgn_UnknStr1 = 52232;   //(08 CC 00 00) //  1 (8+STR) (String)
const DWORD Ptl2_Sgn_UnknDw3 = 52230;   //(06 CC 00 00) // DW 3 (12) (DWORD)
const DWORD Ptl2_Sgn_UnknDw4 = 52231;   //(07 CC 00 00) // DW 4 (12) (DWORD)
const DWORD Ptl2_Sgn_UnknByte1 = 52237;   //(0D CC 00 00) // byte 1 (9) (byte)
const DWORD Ptl2_Sgn_UnknByte2 = 52238;   //(0E CC 00 00) // byte 2 (9) (byte)


//{       }

//  ...
class TMob;

//  ...
class TParticle2ObjBlock //  1-    .   TObjectObjBlock!!!!
{
  public:
    DynamicArray <String> *SoundStr_s;  //    
    DWORD ID;                           // 
    float CoordX;                       //
    float CoordY;                       // --"--
    float CoordZ;                       // --"--
    DWORD UnknDW1;                      // DW 1
    DWORD UnknDW2;                      // DW 2
    String NameStr;                     //    
    String UnknStr1;                    //  1
    DWORD UnknDW3;                      // DW 3
    DWORD UnknDW4;                      // DW 4
    byte UnknByte1;                     // byte 1
    byte UnknByte2;                     // byte 2

    // ...
    DWORD GetBlockSize();        //       .
    byte* GenBlock(DWORD& BlockSize);            // ...
    bool ReadBlock(byte *Buff, DWORD BuffSize, bool UseLog, TMob *PMobObj);   //     .
};

typedef TParticle2ObjBlock* PParticle2ObjBlock;   //  %).

#endif
