///////////////////////////////////////////////////////////
//                      MobSurgeon                       //
//           mob-            //
//           Copyright (C) 2005-2007 Gipat Group         //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------

#ifndef MobParticle3ObjH
#define MobParticle3ObjH
//---------------------------------------------------------------------------

#include "MobObjectObj.h"

//...
//   ...
//      :)
const DWORD Ptl3_Sgn_ID = 56578;   //(02 DD 00 00) //   ... (12) (DWORD)
const DWORD Ptl3_Sgn_Coords = 56579;   //(03 DD 00 00) //, 3  (20) (float x 3)
const DWORD Ptl3_Sgn_NameStr = 56581;   //(05 DD 00 00) //   (8+STR) (String)
const DWORD Ptl3_Sgn_UnknStr1 = 56580;   //(04 DD 00 00) //   (8+STR) (String)
const DWORD Ptl3_Sgn_UnknDw1 = 56582;   //(06 DD 00 00) // DW 1 (12) (DWORD)
const DWORD Ptl3_Sgn_UnknFloat1 = 56583;   //(07 DD 00 00) // float 1 (12) (float)


//{       }

//  ...
class TMob;

//  ...
class TParticle3ObjBlock //  1-    .   TObjectObjBlock!!!!
{
  public:
    DWORD ID;             //   ...
    float CoordX;         //
    float CoordY;         // --"--
    float CoordZ;         // --"--
    String NameStr;       //  
    String UnknStr1;      //  
    DWORD UnknDw1;        // DW 1
    float UnknFloat1;      // float 1

    // ...
    DWORD GetBlockSize();        //       .
    byte* GenBlock(DWORD& BlockSize);            // ...
    bool ReadBlock(byte *Buff, DWORD BuffSize, bool UseLog, TMob *PMobObj);   //     .
};

typedef TParticle3ObjBlock* PParticle3ObjBlock;   //  %).

#endif
