///////////////////////////////////////////////////////////
//                      MobSurgeon                       //
//           mob-            //
//           Copyright (C) 2005-2007 Gipat Group         //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------

#ifndef MobUnitObjH
#define MobUnitObjH
//---------------------------------------------------------------------------

#include "MobObjectObj.h"


//...
//   ...
//      :)
const DWORD U_Sgn_UseMobInfo = 3149594634;   //(0A 00 BB BB) //,      -     .
const DWORD U_Sgn_Name1 = 3149594626;         //(02 00 BB BB) // .
const DWORD U_Sgn_Armour = 3149594633;        //(09 00 BB BB) //.
const DWORD U_Sgn_Weapon = 3149594632;         //(08 00 BB BB) //.
const DWORD U_Sgn_Spell = 3149594631;         //(07 00 BB BB) //.
const DWORD U_Sgn_UncnDw1 = 3149594630;       //(06 00 BB BB) // dw.
const DWORD U_Sgn_Items = 3149594629;         //(05 00 BB BB) // ( )
const DWORD U_Sgn_TableData = 3149594628;     //(04 00 BB BB) //" "

//{       }

const DWORD U_Sgn_BehaviourData = 3149660160; //(00 00 BC BB) // .

//  ...
class TMob;

struct BehaviourDataBlock
{
  DWORD BehaviourDataSize;     //  .
  byte *BehaviourData;         //  .
};

//  ...
class TUnitObjBlock : public TObjectObjBlock //    .
{
  public:
    byte UseMobInfo;    // true -     , 1 -  .
    String Name1;         // .     texts.res
    DynamicArray <String> *Armour;  //    - .
    DynamicArray <String> *Weapon;  //    - .
    DynamicArray <String> *Spell;  //    - .
    DWORD UncnDw1;                 // dw.
    DynamicArray <String> *Items;  //    - .
    DWORD TableDataSize;          //   
    byte *TableData;              //   
    //      -...
    DynamicArray <BehaviourDataBlock> *BehaviourDatas;    // .

    // ...
    TUnitObjBlock();             //.
    DWORD GetBlockSize();        //       .
    byte* GenBlock(DWORD& BlockSize);            // ...
    bool ReadBlock(byte *Buff, DWORD BuffSize, bool UseLog, TMob *PMobObj);   //     .
};

typedef TUnitObjBlock* PUnitObjBlock;   //  %).

#endif
